summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author Roberto Neri <rneri@libero.it>2011-12-18 08:22:19 -0600
committer Robby Workman <rworkman@slackbuilds.org>2011-12-18 08:22:19 -0600
commitd152c5be5327c5e6d77d1332ee509a14f9a3bc75 (patch)
tree4438e6c1f4cd49b280d1b3bc20c464b176d5cd91 /multimedia
parent7293c7c76f54f6461539c1346569e7455742196c (diff)
downloadslackbuilds-d152c5be5327c5e6d77d1332ee509a14f9a3bc75.tar.gz
slackbuilds-d152c5be5327c5e6d77d1332ee509a14f9a3bc75.tar.xz
multimedia/backlight: Added (DVD backup utility)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/backlite/README9
-rw-r--r--multimedia/backlite/backlite-1.0.2-ffmpeg.patch15
-rw-r--r--multimedia/backlite/backlite.SlackBuild79
-rw-r--r--multimedia/backlite/backlite.info10
-rw-r--r--multimedia/backlite/doinst.sh9
-rw-r--r--multimedia/backlite/slack-desc19
6 files changed, 141 insertions, 0 deletions
diff --git a/multimedia/backlite/README b/multimedia/backlite/README
new file mode 100644
index 0000000000..fb09640911
--- /dev/null
+++ b/multimedia/backlite/README
@@ -0,0 +1,9 @@
+backlite provides several tools for backing up DVDs, including DVD9 to
+DVD5 conversion.
+
+This is the Qt-only version of the KDE DVD backup utility K9Copy.
+
+This requires libmpeg2 and ffmpeg.
+
+Additional (optional) runtime deps are libdvdcss (for DVD Backup action)
+along with mjpegtools and twolame (for DVD Author action).
diff --git a/multimedia/backlite/backlite-1.0.2-ffmpeg.patch b/multimedia/backlite/backlite-1.0.2-ffmpeg.patch
new file mode 100644
index 0000000000..c92582a8dd
--- /dev/null
+++ b/multimedia/backlite/backlite-1.0.2-ffmpeg.patch
@@ -0,0 +1,15 @@
+Fix build with ffmpeg/libav trunk after the big bump.
+
+Index: k9copy-2.3.7-Source/src/import/k9avidecode.cpp
+===================================================================
+--- k9copy-2.3.7-Source.orig/src/import/k9avidecode.cpp
++++ k9copy-2.3.7-Source/src/import/k9avidecode.cpp
+@@ -145,7 +145,7 @@ bool k9AviDecode::open(const QString & _
+ // Find the first video stream
+ m_videoStream=-1;
+ for (i=0; i<m_FormatCtx->nb_streams; i++)
+- if (m_FormatCtx->streams[i]->codec->codec_type==CODEC_TYPE_VIDEO) {
++ if (m_FormatCtx->streams[i]->codec->codec_type==AVMEDIA_TYPE_VIDEO) {
+ m_videoStream=i;
+ break;
+ }
diff --git a/multimedia/backlite/backlite.SlackBuild b/multimedia/backlite/backlite.SlackBuild
new file mode 100644
index 0000000000..61de120adf
--- /dev/null
+++ b/multimedia/backlite/backlite.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+# Slackware build script for backlite
+
+# Written by Roberto Neri <rneri@libero.it>
+
+PRGNAM=backlite
+VERSION=${VERSION:-1.0.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Fix building against newer ffmpeg versions
+patch -p1 -i $CWD/$PRGNAM-$VERSION-ffmpeg.patch
+
+qmake \
+ PREFIX=/usr \
+ QMAKE_CFLAGS="$SLKCFLAGS" \
+ QMAKE_CXXFLAGS="$SLKCFLAGS" \
+ backlite.pro
+
+make
+make install INSTALL_ROOT=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING INSTALL.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/backlite/backlite.info b/multimedia/backlite/backlite.info
new file mode 100644
index 0000000000..0afafa3d2d
--- /dev/null
+++ b/multimedia/backlite/backlite.info
@@ -0,0 +1,10 @@
+PRGNAM="backlite"
+VERSION="1.0.2"
+HOMEPAGE="http://k9copy.sourceforge.net/"
+DOWNLOAD="http://sourceforge.net/projects/k9copy/files/backlite/1.0.2/backlite-1.0.2.tar.gz"
+MD5SUM="3929ccae02c8912d9974482de9eeca05"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Roberto Neri"
+EMAIL="rneri@libero.it"
+APPROVED="rworkman"
diff --git a/multimedia/backlite/doinst.sh b/multimedia/backlite/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/multimedia/backlite/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/multimedia/backlite/slack-desc b/multimedia/backlite/slack-desc
new file mode 100644
index 0000000000..5d54dcb342
--- /dev/null
+++ b/multimedia/backlite/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+backlite: backlite (DVD backup utility)
+backlite:
+backlite: backlite provides several tools for backing up DVDs, including
+backlite: DVD9 to DVD5 conversion.
+backlite:
+backlite: It is the Qt-only version of the KDE DVD backup utility K9Copy.
+backlite:
+backlite: Homepage: http://k9copy.sourceforge.net/
+backlite:
+backlite:
+backlite: